Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1258062 - Review Request: nodejs-requestretry - Request-retry wrap nodejs request to retry http(s) requests in case of error
Summary: Review Request: nodejs-requestretry - Request-retry wrap nodejs request to re...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Parag AN(पराग)
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1258056
Blocks: nodejs-reviews 1266167
TreeView+ depends on / blocked
 
Reported: 2015-08-28 20:21 UTC by Piotr Popieluch
Modified: 2015-10-01 16:01 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-10-01 16:01:00 UTC
panemade: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Piotr Popieluch 2015-08-28 20:21:40 UTC
Spec URL: https://piotrp.fedorapeople.org/nodejs-requestretry.spec
SRPM URL: https://piotrp.fedorapeople.org/nodejs-requestretry-1.4.0-1.fc22.src.rpm
Description: Request-retry wrap nodejs request to retry http(s) requests in case of error
Fedora Account System Username: piotrp

Comment 1 Parag AN(पराग) 2015-09-26 02:38:42 UTC
This package is missing for tests
BuildRequires: npm(request)

I added it and proceed with the review of this package as

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- Package installs properly.
  Note: Installation errors (see attachment)
  See: https://fedoraproject.org/wiki/Packaging:Guidelines

==> This is expected as dependent package nodejs-fg-lodash is not available for    installation

===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Unknown or generated". 7 files have unknown license. Detailed
     output of licensecheck in /home/parag/rpmbuild/SPECS/nodejs-
     requestretry/licensecheck.txt
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     See: http://fedoraproject.org/wiki/Packaging/Guidelines#rpmlint


Rpmlint
-------
Checking: nodejs-requestretry-1.4.0-1.fc24.noarch.rpm
          nodejs-requestretry-1.4.0-1.fc24.src.rpm
nodejs-requestretry.noarch: W: spelling-error Summary(en_US) http -> HTTP
nodejs-requestretry.noarch: W: spelling-error %description -l en_US http -> HTTP
nodejs-requestretry.noarch: W: only-non-binary-in-usr-lib
nodejs-requestretry.noarch: W: dangling-symlink /usr/lib/node_modules/requestretry/node_modules/request /usr/lib/node_modules/request
nodejs-requestretry.noarch: W: dangling-symlink /usr/lib/node_modules/requestretry/node_modules/fg-lodash /usr/lib/node_modules/fg-lodash
nodejs-requestretry.src: W: spelling-error Summary(en_US) http -> HTTP
nodejs-requestretry.src: W: spelling-error %description -l en_US http -> HTTP
2 packages and 0 specfiles checked; 0 errors, 7 warnings.




Requires
--------
nodejs-requestretry (rpmlib, GLIBC filtered):
    nodejs(engine)
    npm(fg-lodash)
    npm(request)



Provides
--------
nodejs-requestretry:
    nodejs-requestretry
    npm(requestretry)



Source checksums
----------------
https://registry.npmjs.org/requestretry/-/requestretry-1.4.0.tgz :
  CHECKSUM(SHA256) this package     : d3032f908f5c87db48bc12664e4ddb2c903edeb6da7520f2533fe55ce5f43393
  CHECKSUM(SHA256) upstream package : d3032f908f5c87db48bc12664e4ddb2c903edeb6da7520f2533fe55ce5f43393


APPROVED but don't forget to add required BuildRequires: npm(request)

Comment 2 Piotr Popieluch 2015-09-26 08:21:01 UTC
Thanks, added missing br.

New Package SCM Request
=======================
Package Name: nodejs-requestretry
Short Description: Request-retry wrap nodejs request to retry http(s) requests in case of error
Upstream URL: https://github.com/FGRibreau/node-request-retry
Owners: piotrp
Branches: f21 f22 f23 epel7

Comment 3 Gwyn Ciesla 2015-09-26 14:51:59 UTC
Git done (by process-git-requests).

Comment 4 Fedora Update System 2015-09-26 16:39:37 UTC
nodejs-requestretry-1.4.0-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-6949d17588

Comment 5 Fedora Update System 2015-09-27 00:54:01 UTC
nodejs-requestretry-1.4.0-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update nodejs-requestretry'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-6949d17588

Comment 6 Fedora Update System 2015-10-01 16:00:59 UTC
nodejs-requestretry-1.4.0-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.